## org.apache.batik.dom.svg
Class SVGOMAnimatedNumberList

    java.lang.Object
      org.apache.batik.dom.svg.AbstractSVGAnimatedValue
          org.apache.batik.dom.svg.SVGOMAnimatedNumberList

All Implemented Interfaces:
  AnimatedLiveAttributeValue, LiveAttributeValue, org.w3c.dom.svg.SVGAnimatedNumberList

    public class SVGOMAnimatedNumberList

extends AbstractSVGAnimatedValue
implements org.w3c.dom.svg.SVGAnimatedNumberList

This class is the implementation of the `SVGAnimatedNumberList` interface.

Nested Class Summary
`protected class` `SVGOMAnimatedNumberList.AnimSVGNumberList` `SVGNumberList` implementation for the animated number list value.
`class` `SVGOMAnimatedNumberList.BaseSVGNumberList` `SVGNumberList` implementation for the base number list value.

Field Summary
`protected SVGOMAnimatedNumberList.AnimSVGNumberList` `animVal` The animated value.
`protected SVGOMAnimatedNumberList.BaseSVGNumberList` `baseVal` The base value.
`protected boolean` `changing` Whether the list is changing.
`protected java.lang.String` `defaultValue` Default value for the number list.
`protected boolean` `emptyAllowed` Whether empty length lists are allowed.

Fields inherited from class org.apache.batik.dom.svg.AbstractSVGAnimatedValue
`element, hasAnimVal, listeners, localName, namespaceURI`

Constructor Summary
`SVGOMAnimatedNumberList(AbstractElement elt, java.lang.String ns, java.lang.String ln, java.lang.String defaultValue, boolean emptyAllowed)` Creates a new SVGOMAnimatedNumberList.

Method Summary
`void` `attrAdded(org.w3c.dom.Attr node, java.lang.String newv)` Called when an Attr node has been added.
`void` `attrModified(org.w3c.dom.Attr node, java.lang.String oldv, java.lang.String newv)` Called when an Attr node has been modified.
`void` `attrRemoved(org.w3c.dom.Attr node, java.lang.String oldv)` Called when an Attr node has been removed.
`void` `check()` Throws an exception if the number list value is malformed.
`org.w3c.dom.svg.SVGNumberList` `getAnimVal()` DOM: Implements `SVGAnimatedNumberList.getAnimVal()`.
`org.w3c.dom.svg.SVGNumberList` `getBaseVal()` DOM: Implements `SVGAnimatedNumberList.getBaseVal()`.
`AnimatableValue` `getUnderlyingValue(AnimationTarget target)` Returns the base value of the attribute as an `AnimatableValue`.
`protected void` `updateAnimatedValue(AnimatableValue val)` Updates the animated value with the given `AnimatableValue`.

Methods inherited from class org.apache.batik.dom.svg.AbstractSVGAnimatedValue
`addAnimatedAttributeListener, fireAnimatedAttributeListeners, fireBaseAttributeListeners, getLocalName, getNamespaceURI, isSpecified, removeAnimatedAttributeListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### baseVal

    protected SVGOMAnimatedNumberList.BaseSVGNumberList baseVal

  The base value.

### animVal

    protected SVGOMAnimatedNumberList.AnimSVGNumberList animVal

  The animated value.

### changing

    protected boolean changing

  Whether the list is changing.

### defaultValue

    protected java.lang.String defaultValue

  Default value for the number list.

### emptyAllowed

    protected boolean emptyAllowed

  Whether empty length lists are allowed.

Constructor Detail

### SVGOMAnimatedNumberList

    public SVGOMAnimatedNumberList(AbstractElement elt,
                                   java.lang.String ns,
                                   java.lang.String ln,
                                   java.lang.String defaultValue,
                                   boolean emptyAllowed)

  Creates a new SVGOMAnimatedNumberList.

  Parameters:
    `elt` - The associated element.
    `ns` - The attribute's namespace URI.
    `ln` - The attribute's local name.
    `defaultValue` - The default value if the attribute is not specified.
    `emptyAllowed` - Whether an empty number list is allowed.

Method Detail

### getBaseVal

    public org.w3c.dom.svg.SVGNumberList getBaseVal()

  DOM: Implements `SVGAnimatedNumberList.getBaseVal()`.

  Specified by:
    `getBaseVal` in interface `org.w3c.dom.svg.SVGAnimatedNumberList`

### getAnimVal

    public org.w3c.dom.svg.SVGNumberList getAnimVal()

  DOM: Implements `SVGAnimatedNumberList.getAnimVal()`.

  Specified by:
    `getAnimVal` in interface `org.w3c.dom.svg.SVGAnimatedNumberList`

### check

    public void check()

  Throws an exception if the number list value is malformed.

### getUnderlyingValue

    public AnimatableValue getUnderlyingValue(AnimationTarget target)

  Returns the base value of the attribute as an `AnimatableValue`.

  Specified by:
    `getUnderlyingValue` in interface `AnimatedLiveAttributeValue`

### updateAnimatedValue

    protected void updateAnimatedValue(AnimatableValue val)

  Updates the animated value with the given `AnimatableValue`.

  Specified by:
    `updateAnimatedValue` in class `AbstractSVGAnimatedValue`

### attrAdded

    public void attrAdded(org.w3c.dom.Attr node,
                          java.lang.String newv)

  Called when an Attr node has been added.

  Specified by:
    `attrAdded` in interface `LiveAttributeValue`

### attrModified

    public void attrModified(org.w3c.dom.Attr node,
                             java.lang.String oldv,
                             java.lang.String newv)

  Called when an Attr node has been modified.

  Specified by:
    `attrModified` in interface `LiveAttributeValue`

### attrRemoved

    public void attrRemoved(org.w3c.dom.Attr node,
                            java.lang.String oldv)

  Called when an Attr node has been removed.

  Specified by:
    `attrRemoved` in interface `LiveAttributeValue`

Copyright © 2008 Apache Software Foundation. All Rights Reserved.